=== debian/control ===
Source: tremulous
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 7.0.50), libopenal-dev, libsdl1.2-dev, zip
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-games/tremulous.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/tremulous.git

Package: tremulous
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tremulous-data (>= 1.1.0-1)
Suggests: tremulous-doc, tremulous-server
Description: Aliens vs Humans, team based FPS game with elements of an RTS
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.


Package: tremulous-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tremulous-data (>= 1.1.0-1),
         adduser
Suggests: tremulous-doc, tremulous
Description: Tremulous server
 The package provides the dedicated server for Tremulous.
 .
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.


Package: tremulous-doc
Architecture: all
Section: contrib/doc
Depends: ${misc:Depends}
Recommends: tremulous
Suggests: tremulous-server
Description: Tremulous documentation
 This package contains the PDF manual for the Tremulous client and server.
 .
 Tremulous is a free, open source game that blends a team based First Person
 Shooter (FPS) game with elements of a Real Time Strategy (RTS) game. Players
 can choose from 2 unique races, aliens and humans. Players on both teams are
 able to build working structures in-game like a Real Time Strategy game.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.
